Bug 799832 - yum update php-common issue
yum update php-common issue
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.9
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 02:45 EST by John C
Modified: 2014-01-21 01:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-08 16:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John C 2012-03-05 02:45:34 EST
Description of problem:
Yum update showing bellow error,

yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: mirror.centos.org
 * base: mirror.5ninesolutions.com
 * extras: mirrors.easynews.com
 * openvz-kernel-rhel5: mirror.steadfast.net
 * openvz-utils: mirror.steadfast.net
Excluding mirror: centos.mirror.facebook.net
 * updates: mirrors.versaweb.com
addons                                                                                                                                     |  951 B     00:00
base                                                                                                                                       | 1.1 kB     00:00
extras                                                                                                                                     | 2.1 kB     00:00
openvz-kernel-rhel5                                                                                                                        |  951 B     00:00
openvz-utils                                                                                                                               | 1.2 kB     00:00
soluslabs                                                                                                                                  |  951 B     00:00
updates                                                                                                                                    | 1.9 kB     00:00
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.5-65.el5_7.3 set to be updated
---> Package glibc.x86_64 0:2.5-65.el5_7.3 set to be updated
---> Package glibc-common.x86_64 0:2.5-65.el5_7.3 set to be updated
---> Package libpng.i386 2:1.2.10-15.el5_7 set to be updated
---> Package libpng.x86_64 2:1.2.10-15.el5_7 set to be updated
---> Package libxml2.i386 0:2.6.26-2.1.12.el5_7.2 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.12.el5_7.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.12.el5_7.2 set to be updated
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.2 set to be updated
---> Package mysql.x86_64 0:5.0.95-1.el5_7.1 set to be updated
---> Package nscd.x86_64 0:2.5-65.el5_7.3 set to be updated
---> Package openssl.i686 0:0.9.8e-20.el5_7.1.0.1.centos set to be updated
---> Package openssl.x86_64 0:0.9.8e-20.el5_7.1.0.1.centos set to be updated
---> Package ovzkernel.x86_64 0:2.6.18-274.18.1.el5.028stab098.1 set to be installed
---> Package php.x86_64 0:5.1.6-27.el5_7.5 set to be updated
---> Package php-cli.x86_64 0:5.1.6-27.el5_7.5 set to be updated
---> Package php-common.x86_64 0:5.1.6-27.el5_7.5 set to be updated
---> Package php-mbstring.x86_64 0:5.1.6-27.el5_7.5 set to be updated
---> Package php-mysql.x86_64 0:5.1.6-27.el5_7.5 set to be updated
---> Package ruby.x86_64 0:1.8.5-22.el5_7.1 set to be updated
---> Package ruby-libs.x86_64 0:1.8.5-22.el5_7.1 set to be updated
---> Package selinux-policy.noarch 0:2.4.6-316.el5_7.1 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.4.6-316.el5_7.1 set to be updated
---> Package vzctl.x86_64 0:3.0.30.2-1 set to be updated
---> Package vzctl-lib.x86_64 0:3.0.30.2-1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================================================
 Package                                  Arch                    Version                                              Repository                            Size
==================================================================================================================================================================
Installing:
 ovzkernel                                x86_64                  2.6.18-274.18.1.el5.028stab098.1                     openvz-kernel-rhel5                   23 M
Updating:
 glibc                                    i686                    2.5-65.el5_7.3                                       updates                              5.3 M
 glibc                                    x86_64                  2.5-65.el5_7.3                                       updates                              4.8 M
 glibc-common                             x86_64                  2.5-65.el5_7.3                                       updates                               16 M
 libpng                                   i386                    2:1.2.10-15.el5_7                                    updates                              241 k
 libpng                                   x86_64                  2:1.2.10-15.el5_7                                    updates                              235 k
 libxml2                                  i386                    2.6.26-2.1.12.el5_7.2                                updates                              796 k
 libxml2                                  x86_64                  2.6.26-2.1.12.el5_7.2                                updates                              808 k
 libxml2-python                           x86_64                  2.6.26-2.1.12.el5_7.2                                updates                              713 k
 lvm2                                     x86_64                  2.02.84-6.el5_7.2                                    updates                              3.1 M
 mysql                                    x86_64                  5.0.95-1.el5_7.1                                     updates                              4.9 M
 nscd                                     x86_64                  2.5-65.el5_7.3                                       updates                              170 k
 openssl                                  i686                    0.9.8e-20.el5_7.1.0.1.centos                         updates                              1.4 M
 openssl                                  x86_64                  0.9.8e-20.el5_7.1.0.1.centos                         updates                              1.4 M
 php                                      x86_64                  5.1.6-27.el5_7.5                                     updates                              2.3 M
 php-cli                                  x86_64                  5.1.6-27.el5_7.5                                     updates                              2.2 M
 php-common                               x86_64                  5.1.6-27.el5_7.5                                     updates                              153 k
 php-mbstring                             x86_64                  5.1.6-27.el5_7.5                                     updates                              1.0 M
 php-mysql                                x86_64                  5.1.6-27.el5_7.5                                     updates                               90 k
 ruby                                     x86_64                  1.8.5-22.el5_7.1                                     updates                              276 k
 ruby-libs                                x86_64                  1.8.5-22.el5_7.1                                     updates                              1.6 M
 selinux-policy                           noarch                  2.4.6-316.el5_7.1                                    updates                              420 k
 selinux-policy-targeted                  noarch                  2.4.6-316.el5_7.1                                    updates                              1.3 M
 vzctl                                    x86_64                  3.0.30.2-1                                           openvz-utils                         166 k
 vzctl-lib                                x86_64                  3.0.30.2-1                                           openvz-utils                         212 k

Transaction Summary
==================================================================================================================================================================
Install       1 Package(s)
Upgrade      24 Package(s)

Total download size: 73 M
Is this ok [y/N]: y
Downloading Packages:
(1/25): php-mysql-5.1.6-27.el5_7.5.x86_64.rpm                                                                                              |  90 kB     00:00
(2/25): php-common-5.1.6-27.el5_7.5.x86_64.rpm                                                                                             | 153 kB     00:00
(3/25): vzctl-3.0.30.2-1.x86_64.rpm                                                                                                        | 166 kB     00:00
(4/25): nscd-2.5-65.el5_7.3.x86_64.rpm                                                                                                     | 170 kB     00:00
(5/25): vzctl-lib-3.0.30.2-1.x86_64.rpm                                                                                                    | 212 kB     00:00
(6/25): libpng-1.2.10-15.el5_7.x86_64.rpm                                                                                                  | 235 kB     00:00
(7/25): libpng-1.2.10-15.el5_7.i386.rpm                                                                                                    | 241 kB     00:00
(8/25): ruby-1.8.5-22.el5_7.1.x86_64.rpm                                                                                                   | 276 kB     00:00
(9/25): selinux-policy-2.4.6-316.el5_7.1.noarch.rpm                                                                                        | 420 kB     00:00
(10/25): libxml2-python-2.6.26-2.1.12.el5_7.2.x86_64.rpm                                                                                   | 713 kB     00:00
(11/25): libxml2-2.6.26-2.1.12.el5_7.2.i386.rpm                                                                                            | 796 kB     00:00
(12/25): libxml2-2.6.26-2.1.12.el5_7.2.x86_64.rpm                                                                                          | 808 kB     00:00
(13/25): php-mbstring-5.1.6-27.el5_7.5.x86_64.rpm                                                                                          | 1.0 MB     00:00
(14/25): selinux-policy-targeted-2.4.6-316.el5_7.1.noarch.rpm                                                                              | 1.3 MB     00:00
(15/25): openssl-0.9.8e-20.el5_7.1.0.1.centos.i686.rpm                                                                                     | 1.4 MB     00:00
(16/25): openssl-0.9.8e-20.el5_7.1.0.1.centos.x86_64.rpm                                                                                   | 1.4 MB     00:00
(17/25): ruby-libs-1.8.5-22.el5_7.1.x86_64.rpm                                                                                             | 1.6 MB     00:00
(18/25): php-cli-5.1.6-27.el5_7.5.x86_64.rpm                                                                                               | 2.2 MB     00:00
(19/25): php-5.1.6-27.el5_7.5.x86_64.rpm                                                                                                   | 2.3 MB     00:00
(20/25): lvm2-2.02.84-6.el5_7.2.x86_64.rpm                                                                                                 | 3.1 MB     00:00
(21/25): glibc-2.5-65.el5_7.3.x86_64.rpm                                                                                                   | 4.8 MB     00:01
(22/25): mysql-5.0.95-1.el5_7.1.x86_64.rpm                                                                                                 | 4.9 MB     00:01
(23/25): glibc-2.5-65.el5_7.3.i686.rpm                                                                                                     | 5.3 MB     00:01
(24/25): glibc-common-2.5-65.el5_7.3.x86_64.rpm                                                                                            |  16 MB     00:04
(25/25): ovzkernel-2.6.18-274.18.1.el5.028stab098.1.x86_64.rpm                                                                             |  23 MB     00:01
------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                             3.3 MB/s |  73 MB     00:22
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
php-common is needed by (installed) php-pdo-5.2.13-2.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
Comment 1 James Antill 2012-03-05 16:15:43 EST
Likely this is a pre-exiting problem in the rpmdb.

What does:

rpm -Va --nofiles --nodigest

...say?
Comment 2 John C 2012-03-06 01:45:49 EST
Thanks for attention.

# rpm -Va --nofiles --nodigest

Unsatisfied dependencies for lxlighttpd-1.4.26-2.i386: libmysqlclient.so.15, libmysqlclient.so.15(libmysqlclient_15)
Unsatisfied dependencies for php-pdo-5.2.13-2.x86_64: php-common = 5.2.13-2
Unsatisfied dependencies for lxphp-5.2.1-400.i386: libmysqlclient.so.15, libmysqlclient.so.15(libmysqlclient_15)
Comment 3 James Antill 2012-03-08 16:41:48 EST
Yeh, yum assumes that you don't have pre-existing Unsatisfied dependencies. Rpm tends to check anyway. Doing:

yum reinstall lxlighttpd php-pdo lxphp

...should solve it. Or removing them, or manually install the deps.

Note You need to log in before you can comment on or make changes to this bug.